models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.jpg
	nopicmip
	{
		map textures/ad_content/ad2x1.jpg
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .15 0 0 0
		blendfunc add
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc add
	}
}

textures/base_light/geolight2_2k
{	
	qer_editorimage textures/base_light/geolight2.tga
	q3map_lightimage textures/base_light/geolight2_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/geolight2.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/base_light/geolight2_glow.tga
		blendfunc add
		rgbgen wave sin .575 .025 0 10
	}
}

textures/base_light/light5_2k
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 2000
	{
		map textures/base_light/light5.tga
		rgbGen identity
	}
}

textures/base_support/metal_support2
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/metal_support2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_wall/bluemetalsupport2e_rusty
{
	qer_editorimage textures/base_wall/bluemetalsupport2e_rusty.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2e_rusty.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/proto2/snow01
{
	qer_trans 0.50
	qer_editorimage textures/proto2/snowed.tga
	cull disable
	deformvertexes autosprite2
	deformvertexes wave 50 sin 0 3 0 .2
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/proto2/snow02.tga
		tcmod scroll 0.025 -0.28
		blendfunc blend
	}
	{
		map textures/proto2/snow02.tga
	tcmod scroll -0.01 -0.4
		blendfunc blend
		rgbgen wave sin 0.5 0 0 0
	}
}
textures/proto2/wood_planks
{
	qer_editorimage textures/proto2/wood_planks.tga
	surfaceparm	woodsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/proto2/wood_planks.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/ql/bricks_dark_trim_ns
{
	qer_editorimage textures/ql/bricks_dark_trim.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ql/bricks_dark_trim.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/ql/metal_support_simple
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/ql/metal_support_simple.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/ql/metwall_dark
{
	qer_editorimage textures/ql/metwall_dark.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/ql/metwall_dark.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/ql/snow
{
	surfaceparm snowsteps
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ql/snow.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/ql/target
{
	qer_editorimage textures/ql/target.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/ql/target.tga
		blendfunc add
	}
}

textures/sfx/mkc_fog_ctfblue
{
	qer_editorimage textures/sfx/fog_blue.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	fogparms ( 0.23 0.2 0.26 ) 320
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/sfx/ntrl_techfloor_kc
{
	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	polygonoffset
	sort 6
	qer_editorimage textures/sfx/techfloor_kc.tga
	{
		clampmap textures/sfx/zzztntrl_kc.tga
		alphafunc ge128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthwrite
	}
	{
		clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
		tcmod rotate 180
		depthfunc equal
		tcmod stretch sin .8 0.1 0 .4
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc.tga
		blendfunc blend
		depthfunc equal
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/sfx/portal_new_static
{
	qer_editorimage textures/sfx/portaledge
	surfaceparm nolightmap
	surfaceparm nomarks
	nopicmip
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		rgbgen identitylighting
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 0.9
		tcmod stretch sin 2.65 0.2 0 0.2
		tcmod turb 1 0.1 0 0.1
		tcmod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 1
		tcmod stretch sin 2.5 0.1 0 0.2
		tcmod turb 1 -0.1 0 0.1
		tcmod rotate 355
	}
	{
		map textures/sfx/portaledge.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}

textures/sfx/wall_jump_blue
{
	qer_editorimage textures/sfx/wall_jump.tga
	{
		map textures/sfx2/rlaunch3_blue.tga
		rgbgen identity
		tcmod scale 1 .5
		tcmod scroll 0 1.42
	}
	{
		map textures/sfx/wall_jump.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/sfx2/blue_jumpad
{
	qer_editorimage textures/sfx2/jumpad02.tga 
	{
		map textures/sfx2/jumpadb.tga
		blendfunc gl_one gl_zero
		tcmod rotate 130
		rgbgen identity
	}
	{
		map textures/sfx2/fan01.tga
		blendfunc blend
		tcmod rotate -311
		rgbgen identity
	}
	{
		clampmap textures/sfx2/jumpadb2.tga
		blendfunc add
		tcmod rotate 130
		tcmod stretch sin 1.2 .8 0 1.4
		rgbgen wave square .5 .5 .25 1.4
	}
	{
		map textures/sfx2/jumpad02.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/sfx2/blue_launchpad
{
	qer_editorimage textures/sfx2/launchpad03.tga 
	nopicmip
	{
		map textures/sfx2/tread.tga
		blendfunc gl_one gl_zero
		tcmod scroll 0 .7
		tcmod scale  1 2
		rgbgen identity
	}
	{
		map textures/sfx2/blaunch.tga
		blendfunc add
		tcmod scale  1 .5
		tcmod scroll 0 2
		rgbgen wave square 0 1 0 2
		alphagen wave square 0 1 .1 2
	}
	{
		map textures/sfx2/launchpad03.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx2/blaunch2.tga
		blendfunc add
		rgbgen wave square 0 1 0 1
		alphagen wave square 0 1 .1 1
	}
}

textures/skies/meth_clouds
{
	qer_editorimage textures/skies/meth_clouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .77 .91 1 90 135 80
	q3map_surfacelight 120
	q3map_lightimage textures/common/white.tga
	skyparms - 512 -
	{
		map textures/skies/meth_clouds.tga
		tcmod scale 3 2
		tcmod scroll 0.04 0.04
		depthwrite
	}
	{
		map textures/skies/meth_clouds2.tga
		blendfunc add
		tcmod scale 10 10
		tcmod scroll .1 .1
	}
	{
		map textures/skies/topclouds.tga
		blendfunc add
		tcmod scale 3 3
		tcmod scroll 0.09 0.09
	}
}
